> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/get-rdmaddonid.md).

# Get-RDMAddOnId

### Übersicht

Ruft die ID eines angegebenen Add-ons anhand des Namens ab. Wenn kein Name angegeben wird, wird eine Hashtable zurückgegeben, die alle Add-on-Namen ihren entsprechenden IDs zuordnet.

### Syntax

#### \_\_AllParameterSets

```
Get-RDMAddOnId [[-Name] <string>] [<CommonParameters>]
```

### Beschreibung

Ruft die ID eines angegebenen Add-ons anhand des Namens ab. Wenn kein Name angegeben wird, wird eine Hashtable zurückgegeben, die alle Add-on-Namen ihren entsprechenden IDs zuordnet. Die ID jedes Add-ons wird in der Eigenschaft ConnectionSubType seines Eintrags gespeichert. Die Liste umfasst alle Add-ons, unabhängig vom Aktivierungsstatus.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $addon = New-RDMEntry -Name AddOnWinbox -Type AddOn
PS C:\> $addOn.AddOn.Host = '123.123.123.123'
PS C:\> $addOn.AddOn.Username = 'myUserName'
PS C:\> $addOn.ConnectionSubType = (Get-RDMAddOnId -Name Winbox)
PS C:\> Set-RDMEntryPassword -InputObject $addOn -Password $someSecureString
PS C:\> Set-RDMEntry -InputObject $addOn -Refresh
```

Erstellen Sie einen Mikrotik Winbox-Eintrag.

#### Beispiel 2

```powershell
PS C:\> $addonNameToIdMapping = Get-RDMAddOnId
PS C:\> $addOnIdToNameMapping = @{}
PS C:\> foreach ($name in $addOnNameToIdMapping.Keys) {
  $id = $addOnNameToIdMapping[$name]
  $addOnIdToNameMapping[$id] = $name
}
PS C:\> $addonsGrouped = Get-RDMEntry -Type AddOn | Group-Object ConnectionSubType
PS C:\> $result = foreach ($group in $addonsGrouped) {
    $type = $group.Name
    $count = $group.Count
    $name = $addOnIdToNameMapping[$type]
```

```
[PSCustomObject]@{
    Name  = $name
    Count = $count
}
```

}

```powershell
PS C:\> $result
```

Zählen Sie die Nutzung für jeden Add-on-Typ.

### Parameter

#### -Name

Name der Add-on-Anwendung ohne Leerzeichen

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Für weitere Informationen geben Sie "Get-Help Get-RDMAddOnId -detailed" ein. Für technische Informationen geben Sie "Get-Help Get-RDMAddOnId -full" ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/get-rdmaddonid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
